n=int(input())
m=int(input())
broj_veruje=[]
broj_veruju_joj=[]
for i in range(n):
    broj_veruje.append(0)
    broj_veruju_joj.append(0)
for i in range(m):
    a,b=map(int,input().split())
    a-=1
    b-=1
    broj_veruje[a]+=1
    broj_veruju_joj[b]+=1
sudija=-1
for i in range(n):
    if broj_veruje[i]==0 and broj_veruju_joj[i]==n-1:
        sudija=i+1

print(sudija)
